Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Class Sql

- Defined in: Sql.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Sql(options)

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> <constant> | Sql.ARCHIVE
<static> <constant> | Sql.ARCHIVEORDER
<static> <constant> | Sql.ARCHIVEPART
<static> <constant> | Sql.ARCHIVESIZE
<static> <constant> | Sql.COUNT
<static> <constant> | Sql.MEMBERSEARCH
<static> <constant> | Sql.PURGEREFERRERS
<static> <constant> | Sql.REFERRERS
<static> <constant> | Sql.SEARCH

## Method Summary

Method Attributes | Method Name and Description
--- | ---
| execute(sql)
| retrieve()
| toString()
| traverse(callback)

## Class Detail

Sql(options)

Parameters:
options

## Field Detail

<static> <constant> Sql.ARCHIVE
<static> <constant> Sql.ARCHIVEORDER
<static> <constant> Sql.ARCHIVEPART
<static> <constant> Sql.ARCHIVESIZE
<static> <constant> Sql.COUNT
<static> <constant> Sql.MEMBERSEARCH
<static> <constant> Sql.PURGEREFERRERS
<static> <constant> Sql.REFERRERS
<static> <constant> Sql.SEARCH

## Method Detail

- {Object} execute(sql)
  Parameters:
  {String} sql
  Returns:
    {Object}
- {String} retrieve()
  Returns:
    {String}
- {String} toString()
  Returns:
    {String}
- traverse(callback)
  Parameters:
  {Function} callback